Bug 1279266 - trying to update / install already installed packages
trying to update / install already installed packages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 18:42 EST by Harald Reindl
Modified: 2015-11-30 08:32 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 08:32:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2015-11-08 18:42:24 EST
WTF
_______________________________________

that ones are installed for days

Installing:
 ibus-libs                                                     x86_64                                  1.5.11-1.fc23                                        fedora                                           226 k
 redland                                                       x86_64                                  1.0.17-4.fc23                                        fedora                                           169 k
 unzip                                                         x86_64                                  6.0-23.fc23                                          fedora                                           179 k
_______________________________________

that ones are updated hours ago with "yum-depracated" (or already with DNF) since DNF is regulary too stupid for acting with local updates

Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  package kdesu-1:5.4.3-1.fc23.x86_64 is already installed
  package kde-cli-tools-5.4.3-1.fc23.x86_64 is already installed
  package autocorr-en-1:5.0.3.2-4.fc23.noarch is already installed
  package autocorr-de-1:5.0.3.2-4.fc23.noarch is already installed
  package libksysguard-common-5.4.3-1.fc23.x86_64 is already installed
  package libreoffice-opensymbol-fonts-1:5.0.3.2-4.fc23.noarch is already installed
  package unzip-6.0-23.fc23.x86_64 is already installed
  package libreoffice-ure-1:5.0.3.2-4.fc23.x86_64 is already installed
  package ibus-libs-1.5.11-1.fc23.x86_64 is already installed
  package redland-1.0.17-4.fc23.x86_64 is already installed
  package libreoffice-calc-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-core-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-pyuno-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-graphicfilter-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-pdfimport-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-draw-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-impress-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-writer-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-langpack-de-1:5.0.3.2-4.fc23.x86_64 is already installed
  package libreoffice-kde-1:5.0.3.2-4.fc23.x86_64 is already installed
  package kdeplasma-addons-5.4.3-1.fc23.x86_64 is already installed
  package libksysguard-5.4.3-1.fc23.x86_64 is already installed
  package plasma-systemsettings-5.4.3-1.fc23.x86_64 is already installed
  package kf5-kwayland-5.4.3-1.fc23.x86_64 is already installed
  package libsndfile-1.0.25-17.fc23.x86_64 is already installed
  package krb5-libs-1.13.2-13.fc23.x86_64 is already installed
Comment 1 Jaroslav Mracek 2015-11-18 07:59:12 EST
It looks like that you have duplicated packages. Try dnf repoquery --duplicated
to see. Or rpm -q command. Anyway this looks like that this is a report from rpm. I also want to ask you to folloow standart bug format, otherwise we have to directly close it. Thank you very much.
Comment 2 Harald Reindl 2015-11-18 08:08:05 EST
no i don't have duplicate packages, this is a dnf-bug and after "rm -rf /var/cache/dnf/*" that went away - dnf is just buggy as hell, see also https://bugzilla.redhat.com/show_bug.cgi?id=1263888

[root@rh:~]$ LANG=C
[root@rh:~]$ dnf repoquery --duplicated
Last metadata expiration check performed 0:00:38 ago on Wed Nov 18 14:07:00 2015.
[root@rh:~]$
Comment 3 Florian Festi 2015-11-20 04:24:19 EST
Adjusting component
Comment 4 Jaroslav Mracek 2015-11-23 07:17:28 EST
Please describe your case properly, according to bug format.  
We need :
Description of problem: What exactly you did (command used, conditions, system version, log files and so on)

How reproducible:


Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Without this information, we cannot do anything to help you or fix problem of component.
Comment 5 Harald Reindl 2015-11-23 07:25:06 EST
that was a ordinary "dnf upgrade" and DNF for whatever reason thought it needs to pull already installed packages until it realized in "Error: Transaction check error" that they are present and so stopped the whole update

Note You need to log in before you can comment on or make changes to this bug.